Name:          libXfixes
Version:       5.0.3
Release:       11
Summary:       X11 miscellaneous "fixes" extension library
License:       MIT
URL:           https://xorg.freedesktop.org/
Source0:       https://xorg.freedesktop.org/archive/individual/lib/%{name}-%{version}.tar.bz2

BuildRequires: automake libtool xorg-x11-proto-devel libXext-devel
Requires:      libX11

%description
The X Fixes extension provides applications with work-arounds for
various limitations in the core protocol.

%package       devel
Summary:       Development files and Header files for %{name}
Requires:      %{name} = %{version}-%{release} pkgconfig

%description   devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1 

%build
%configure  
%make_build

%install
%make_install
%delete_la

%ldconfig_scriptlets

%files 
%defattr(-,root,root)	
%doc AUTHORS 
%license COPYING
%{_libdir}/libXfixes.so.*

%files  devel
%defattr(-,root,root)
%{_includedir}/X11/extensions/Xfixes.h
%{_libdir}/pkgconfig/*.pc
%{_libdir}/*.a
%{_libdir}/libXfixes.so

%files  help
%doc README
%{_mandir}/man3/Xfixes.3.gz

%changelog
* Sat Oct 19 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.0.3-11
- Type:bugfix
- Id:NA
- SUG:NA
- DESC:change the directory of the license files

* Mon Sep 9 2019 openEuler Buildteam <buildteam@openeuler.org> - 5.0.3-10
- Type: enhancement
- ID:   NA
- SUG:  NA
- DESC: rebuilt spec

* Wed Aug 21 2019 openEuler Buildteam<buildteam@openeuler.org> - 5.0.3-9
- Package init

